WuKongIM Docs

Retry unresolved Conversations

POST/conversation/retry

Rehydrates up to 200 keys without rewinding completed coverage; duplicate keys are merged.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

{  "conversations": [    {      "channel_id": "string",      "channel_type": 1,      "active_at": 0,      "read_seq": 0,      "deleted_to_seq": 0,      "unread": 0,      "last_message": {        "message_id": 0,        "message_idstr": "string",        "message_seq": 0,        "from_uid": "string",        "client_msg_no": "string",        "server_timestamp_ms": 0,        "payload": "string"      }    }  ],  "deletes": [    {      "channel_id": "string",      "channel_type": 1    }  ],  "unresolved": [    {      "channel_id": "string",      "channel_type": 1    }  ],  "next_cursor": "string",  "done": true,  "coverage": 0,  "tombstones_retained_since": 0,  "reset_required": true}